struct ringBuffer {
  char *buffer;
  int blocks;
  size_t blockSize;
  int reader;
  int writer;
};

void ringBufferCreate(int blocks, size_t blockSize, struct ringBuffer *out);
void ringBufferDestroy(struct ringBuffer *buf);
int ringBufferRead(struct ringBuffer *buf, char *out);
void ringBufferWrite(struct ringBuffer *buf, char *in);
